package com.cool.store.dto.decoration;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author suzhuhong
 * @Date 2024/4/28 15:18
 * @Version 1.0
 */
@Data
public class BudgetDetailDTO {
    @ApiModelProperty("预算详情主键")
    private Long id;
    @ApiModelProperty("类型")
    private String nodeType;
    @ApiModelProperty("项目编号")
    private String number;
    @ApiModelProperty("项目名称")
    private String name;
    @ApiModelProperty("单位")
    private String unitName;
    @ApiModelProperty("预算工程量")
    private String amount;
    @ApiModelProperty("单价")
    private BigDecimal unitPrice;
    @ApiModelProperty("预算合计")
    private BigDecimal totalPrice;
    @ApiModelProperty("人工单价")
    private BigDecimal labour;
    @ApiModelProperty("材料单价")
    private BigDecimal material;
    @ApiModelProperty("主材成本")
    private BigDecimal mainMaterialCostPrice;
    @ApiModelProperty("辅材成本")
    private BigDecimal auxiliaryMaterialCostPrice;
    @ApiModelProperty("人工成本")
    private BigDecimal labourCostPrice;
    @ApiModelProperty("结算工程量")
    private String remark;
    @ApiModelProperty("结算合计")
    private BigDecimal loss;
    @ApiModelProperty("综合成本")
    private BigDecimal totalCost;
    @ApiModelProperty("成本单价")
    private BigDecimal cost;
    @ApiModelProperty("损耗单价")
    private BigDecimal lossPrice;
    @ApiModelProperty("计划利润")
    private BigDecimal planProfit;
    @ApiModelProperty("利润率")
    private BigDecimal profitRate;
    @ApiModelProperty("唯一供应商")
    private String supplierName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public BigDecimal getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(BigDecimal unitPrice) {
        this.unitPrice = unitPrice.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getLabour() {
        return labour;
    }

    public void setLabour(BigDecimal labour) {
        this.labour = labour.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getMaterial() {
        return material;
    }

    public void setMaterial(BigDecimal material) {
        this.material = material.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getMainMaterialCostPrice() {
        return mainMaterialCostPrice;
    }

    public void setMainMaterialCostPrice(BigDecimal mainMaterialCostPrice) {
        this.mainMaterialCostPrice = mainMaterialCostPrice.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getAuxiliaryMaterialCostPrice() {
        return auxiliaryMaterialCostPrice;
    }

    public void setAuxiliaryMaterialCostPrice(BigDecimal auxiliaryMaterialCostPrice) {
        this.auxiliaryMaterialCostPrice = auxiliaryMaterialCostPrice.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getLabourCostPrice() {
        return labourCostPrice;
    }

    public void setLabourCostPrice(BigDecimal labourCostPrice) {
        this.labourCostPrice = labourCostPrice.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public BigDecimal getLoss() {
        return loss;
    }

    public void setLoss(BigDecimal loss) {
        this.loss = loss.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(BigDecimal totalCost) {
        this.totalCost = totalCost.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getLossPrice() {
        return lossPrice;
    }

    public void setLossPrice(BigDecimal lossPrice) {
        this.lossPrice = lossPrice.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getPlanProfit() {
        return planProfit;
    }

    public void setPlanProfit(BigDecimal planProfit) {
        this.planProfit = planProfit.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public BigDecimal getProfitRate() {
        return profitRate;
    }

    public void setProfitRate(BigDecimal profitRate) {
        this.profitRate = profitRate.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
}
